# -*- makefile -*-
#-------------------------------------------------------------------------
#       GNU ACE Workspace
#
# GNUACEWorkspaceCreator.pm,v 1.33 2004/09/29 14:41:58 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -include /tmp/rerelease/ACE_wrappers/MPC/config -include /tmp/rerelease/ACE_wrappers/MPC/templates -exclude ASNMP/asnmp.mwc,TAO/TAOACE.mwc,TAO/CIAO/CIAOTAO.mwc -recurse -hierarchy -relative ACE_ROOT=/tmp/rerelease/ACE_wrappers
#
#-------------------------------------------------------------------------
MAKEFILE = GNUmakefile

ifeq ($(findstring k,$(MAKEFLAGS)),k)
  KEEP_GOING = -
endif

include $(ACE_ROOT)/include/makeinclude/macros.GNU

all: WFMO_Reactor_APC WFMO_Reactor_Abandoned WFMO_Reactor_Console_Input WFMO_Reactor_Directory_Changes WFMO_Reactor_Exceptions WFMO_Reactor_Handle_Close WFMO_Reactor_Multithreading WFMO_Reactor_Network_Events WFMO_Reactor_Prerun_State_Changes WFMO_Reactor_Registration WFMO_Reactor_Registry_Changes WFMO_Reactor_Removals WFMO_Reactor_Suspended_Removals WFMO_Reactor_Talker WFMO_Reactor_Timeouts WFMO_Reactor_Window_Messages

.PHONY: WFMO_Reactor_APC
WFMO_Reactor_APC:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_APC

.PHONY: WFMO_Reactor_Abandoned
WFMO_Reactor_Abandoned:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Abandoned

.PHONY: WFMO_Reactor_Console_Input
WFMO_Reactor_Console_Input:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Console_Input

.PHONY: WFMO_Reactor_Directory_Changes
WFMO_Reactor_Directory_Changes:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Directory_Changes

.PHONY: WFMO_Reactor_Exceptions
WFMO_Reactor_Exceptions:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Exceptions

.PHONY: WFMO_Reactor_Handle_Close
WFMO_Reactor_Handle_Close:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Handle_Close

.PHONY: WFMO_Reactor_Multithreading
WFMO_Reactor_Multithreading:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Multithreading

.PHONY: WFMO_Reactor_Network_Events
WFMO_Reactor_Network_Events:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Network_Events

.PHONY: WFMO_Reactor_Prerun_State_Changes
WFMO_Reactor_Prerun_State_Changes:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Prerun_State_Changes

.PHONY: WFMO_Reactor_Registration
WFMO_Reactor_Registration:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Registration

.PHONY: WFMO_Reactor_Registry_Changes
WFMO_Reactor_Registry_Changes:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Registry_Changes

.PHONY: WFMO_Reactor_Removals
WFMO_Reactor_Removals:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Removals

.PHONY: WFMO_Reactor_Suspended_Removals
WFMO_Reactor_Suspended_Removals:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Suspended_Removals

.PHONY: WFMO_Reactor_Talker
WFMO_Reactor_Talker:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Talker

.PHONY: WFMO_Reactor_Timeouts
WFMO_Reactor_Timeouts:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Timeouts

.PHONY: WFMO_Reactor_Window_Messages
WFMO_Reactor_Window_Messages:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Window_Messages

REMAINING_TARGETS := $(subst all, , $(TARGETS_NESTED:.nested=)) $(CUSTOM_TARGETS)
$(REMAINING_TARGETS):
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_APC $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Abandoned $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Console_Input $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Directory_Changes $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Exceptions $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Handle_Close $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Multithreading $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Network_Events $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Prerun_State_Changes $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Registration $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Registry_Changes $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Removals $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Suspended_Removals $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Talker $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Timeouts $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.WFMO_Reactor_Window_Messages $(@)

